devel:tools:criu

CRIU packages built by https://criu.org/ for different distributions.

Name Changed
Comments 6

Gabe P's avatar

gpacuilla wrote 2 months ago

Hello, as commented under https://build.opensuse.org/package/show/devel:kubic:libcontainers:stable/criu

The new release 3.16-1 includes python2:any dependency for Debian/Ubuntu packages:

$ sudo apt show criu
Package: criu
Version: 3.16-1
...
Depends: python3-protobuf, python2:any, python3:any, libc6 (>= 2.28), libnet1 (>= 1.1.2.1), libnl-3-200 (>= 3.2.7), libprotobuf-c1 (>= 1.0.1)
...

$ sudo apt show criu=3.15-1
...
Package: criu
Version: 3.15-1
..
Depends: python3-protobuf, python3:any, libc6 (>= 2.28), libnet1 (>= 1.1.2.1), libnl-3-200 (>= 3.2.7), libprotobuf-c1 (>= 1.0.1)

Adrian Reber's avatar

adrianreber wrote 2 months ago

Will fix. Thanks for the report.


Adrian Reber's avatar

adrianreber wrote 2 months ago

Strange. I have not yet figured out why it has python2:all as dependency.


Adrian Reber's avatar

adrianreber wrote 2 months ago

With 3.16-2 this is fixed.


Gabe P's avatar

gpacuilla wrote 2 months ago

Thanks - looks good here!


Janne Blomqvist's avatar

jabl wrote 2 months ago

(Original reporter here)

Yup, can confirm, 3.16-2 fixes this on my end as well. Thanks!

openSUSE Build Service is sponsored by